<?php
#Автор - TheAlex
#Модуль - газета
#Php-Zona.Ru
#2014 год
$title = 'Новость';
require_once ('../system/function.php');
require_once ('../system/header.php');
if(!$user['id']) {
	echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
$id=strong($_GET['id']);
$news=mysql_query("SELECT * FROM `gazeta_n` WHERE id='".$id."'");
if(isset($_REQUEST['submit'])) {
$maxsize = 2; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла

/* Если не выбрали файл */
if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="podmenu"><center><b>Вы не выбрали файл!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Максимальный размер 1мб */
if ($size > (1048576 * $maxsize)) {
echo '<div class="podmenu"><center><b>Максимальный размер файла '.$maxsize.'мб!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Тип файлов которые можно загружать */
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 
  
/* Если тип файла не подходит */
if(!in_array($upfiletype,$filetype)) {
echo '<div class="podmenu"><center><b>К загрузке разрешены файлы форматом JPG,GIF,PNG,JPEG,BMP!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../gazeta/photo/".$files.""); 
mysql_query("UPDATE `gazeta_n` SET `photo`='".$files."' WHERE `id`='".$news['id']."' limit 1");
}
echo '</div><div class="podmenu"><form action="" method="post" enctype="multipart/form-data"> 
Выберите файл:<br><input type="file" name="filename"/><br>   
<input type="submit" value="Загрузить" name="submit"/> 
</form></div>';

require_once ('../system/footer.php');
?>